Subject: bug#5828 closed by Jan Djärv <[email-masked]> (Re: bug#5828: 24.0.50; X toolkit and parent id)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Apr 2010 10:55:02 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5828: 24.0.50; X toolkit and parent id

It has been closed by Jan Djärv <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jan Djärv <[email-masked]> by
replying to this email.

-- 
5828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5828: 24.0.50; X toolkit and parent id
From: Jan Djärv <[email-masked]>
To: "[AvataR]" <[email-masked]>
Cc: [email-masked]
Date: Sun, 04 Apr 2010 12:54:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I have checked in a fix in trunk.

	Jan D.

[AvataR] skrev 2010-04-04 11.00:
>
>>> There is the annoying problem with some WMs, when client sets parent
>>> windows id  (PID XID) as NULL (0). You can see with wmctrl -lp, that GTK toolkit sets PID, and
>>> athena, or something older - not.
>>>
>>> I try to search by myself, how to set up PID in lucid toolkit, but don't
>>> have any success.
>>>
>
>> What is the problem?  _NET_WM_PID is not required and WMs must get by even
>> if it is not set.
>
>> 	Jan D.
>
> This is not really big problem, but some WMs like matchbox/hildon
> filter such windows. This behaviour can be fixed in WM, but I think
> will be better if toolkit just set _NET_WM_PID

Subject: 24.0.50; X toolkit and parent id
From: [email-masked] ([AvataR])
To: [email-masked]
Date: Sat, 03 Apr 2010 18:27:07 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

There is the annoying problem with some WMs, when client sets parent
windows id  (PID XID) as NULL (0). You can see with wmctrl -lp, that GTK toolkit sets PID, and
athena, or something older - not. 

I try to search by myself, how to set up PID in lucid toolkit, but don't
have any success.